Last Comment Bug 589627 - [SeaMonkey 2.1, mochitest-chrome] Exception in test_pm.xul
: [SeaMonkey 2.1, mochitest-chrome] Exception in test_pm.xul
Status: VERIFIED FIXED
[sm-perma][cc-orange]
: intermittent-failure
Product: SeaMonkey
Classification: Client Software
Component: Testing Infrastructure (show other bugs)
: Trunk
: All All
: -- normal (vote)
: seamonkey2.1b1
Assigned To: Robert Kaiser (not working on stability any more)
:
Mentors:
Depends on: 568863
Blocks: SmTestFail
  Show dependency treegraph
 
Reported: 2010-08-22 16:28 PDT by Robert Kaiser (not working on stability any more)
Modified: 2012-11-26 02:56 PST (History)
1 user (show)
bugzillamozillaorg_serge_20140323: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
package the new lib (899 bytes, patch)
2010-08-22 16:53 PDT, Robert Kaiser (not working on stability any more)
bugspam.Callek: review+
Details | Diff | Review

Description Robert Kaiser (not working on stability any more) 2010-08-22 16:28:35 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1282499502.1282502435.6363.gz

12846 ERROR TEST-UNEXPECTED-FAIL | chrome://mochikit/content/chrome/toolkit/components/jsperf/test_pm.xul | [SimpleTest/SimpleTest.js, window.onerror] An error occurred - uncaught exception: [Exception... "Component returned failure code: 0x80520012 (NS_ERROR_FILE_NOT_FOUND) [nsIXPCComponents_Utils.import]"  nsresult: "0x80520012 (NS_ERROR_FILE_NOT_FOUND)"  location: "JS frame :: chrome://mochikit/content/chrome/toolkit/components/jsperf/test_pm.xul :: test :: line 55"  data: no] at :0

We'll need to investigate this one. This is cross-platform and permanent.
Comment 1 Robert Kaiser (not working on stability any more) 2010-08-22 16:33:07 PDT
http://mxr.mozilla.org/comm-central/source/mozilla/toolkit/components/perf/test_pm.xul#55

   Components.utils.import("resource://gre/modules/PerfMeasurement.jsm");

I wonder why that isn't there, it looks like it should always be there.
Comment 2 Robert Kaiser (not working on stability any more) 2010-08-22 16:39:19 PDT
Ah, the log itself says more:
JS Component Loader: ERROR resource://gre/modules/PerfMeasurement.jsm:52
                     TypeError: Components.classes['@mozilla.org/jsperf;1'] is undefined
Comment 3 Robert Kaiser (not working on stability any more) 2010-08-22 16:49:30 PDT
From package-compare:

+bin/components/libjsperf.so
Comment 4 Robert Kaiser (not working on stability any more) 2010-08-22 16:53:38 PDT
Created attachment 468191 [details] [diff] [review]
package the new lib

As long as we are testing shared builds, we need to package this one. Having it in should fix the test.
Comment 5 Robert Kaiser (not working on stability any more) 2010-08-23 10:46:46 PDT
Pushed as http://hg.mozilla.org/comm-central/rev/dec9ff3abf25
Comment 6 Serge Gautherie (:sgautherie) 2010-08-23 11:12:50 PDT
Ftr, this lib and test were added by bug 568863.
Comment 7 Serge Gautherie (:sgautherie) 2010-08-23 13:17:12 PDT
V.Fixed, per
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1282591255.1282593825.10532.gz
Linux comm-central-trunk debug test mochitest-other on 2010/08/23 12:20:55

Note You need to log in before you can comment on or make changes to this bug.